Bug 184548 - ftp/lftp: upgrade to version 4.4.13
Summary: ftp/lftp: upgrade to version 4.4.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-06 20:10 UTC by Jimmy Olgeni
Modified: 2013-12-10 12:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2013-12-06 20:10:00 UTC
Upgrade to version 4.4.13 for ftp/lftp.

Fix: 

--- Makefile	(revision 335616)
+++ Makefile	(working copy)
@@ -2,17 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	lftp
-PORTVERSION=	4.4.9
-PORTREVISION=	1
+PORTVERSION=	4.4.13
 CATEGORIES=	ftp ipv6
-MASTER_SITES=	http://ftp.yars.free.net/pub/source/lftp/ \
-		http://ftp.yars.free.net/pub/source/lftp/old/ \
-		http://lftp.cybermirror.org/ \
-		http://lftp.cybermirror.org/old/ \
-		http://ftp.st.ryukoku.ac.jp/pub/network/ftp/lftp/ \
-		http://ftp.st.ryukoku.ac.jp/pub/network/ftp/lftp/old/ \
-		http://ftp.tuwien.ac.at/infosys/browsers/ftp/lftp/ \
-		ftp://ftp.cs.tu-berlin.de/pub/net/ftp/lftp/
+MASTER_SITES=	http://lftp.yar.ru/ftp/
 
 MAINTAINER=	martymac@FreeBSD.org
 COMMENT=	Shell-like command line ftp client
--- distinfo	(revision 335616)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (lftp-4.4.9.tar.gz) = ffd618986e8fd8c5604c5645f912f7eb0ff66cdf76e84986cad47620bb5d7616
-SIZE (lftp-4.4.9.tar.gz) = 2512561
+SHA256 (lftp-4.4.13.tar.gz) = 1f7071faca15c63603479dfa4270cf6b52419b0ee2cf53453a0858974b9b6916
+SIZE (lftp-4.4.13.tar.gz) = 2534292
--- files/patch-build-aux-ltmain.sh	(revision 335616)
+++ files/patch-build-aux-ltmain.sh	(working copy)
@@ -1,15 +1,15 @@
---- build-aux/ltmain.sh.orig	2010-05-20 17:09:31.539282017 +0000
-+++ build-aux/ltmain.sh	2010-05-20 17:10:11.971297050 +0000
-@@ -2076,12 +2076,6 @@
+--- build-aux/ltmain.sh.orig
++++ build-aux/ltmain.sh
+@@ -4230,12 +4230,6 @@
  	  func_execute_cmds "$postinstall_cmds" 'exit $?'
  	fi
  
 -	# Install the pseudo-library for information purposes.
 -	func_basename "$file"
--	name="$func_basename_result"
--	instname="$dir/$name"i
+-	name=$func_basename_result
+-	instname=$dir/${name}i
 -	func_show_eval "$install_prog $instname $destdir/$name" 'exit $?'
 -
  	# Maybe install the static library, too.
- 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
+ 	test -n "$old_library" && func_append staticlibs " $dir/$old_library"
  	;;
Comment 1 Edwin Groothuis freebsd_committer 2013-12-06 20:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-12-10 11:52:53 UTC
Author: martymac
Date: Tue Dec 10 11:52:44 2013
New Revision: 336057
URL: http://svnweb.freebsd.org/changeset/ports/336057

Log:
  - Update to 4.4.13
  - Update MASTER_SITES
  
  PR:		ports/184548
  Submitted by:	olgeni

Modified:
  head/ftp/lftp/Makefile
  head/ftp/lftp/distinfo
  head/ftp/lftp/files/patch-build-aux-ltmain.sh   (contents, props changed)

Modified: head/ftp/lftp/Makefile
==============================================================================
--- head/ftp/lftp/Makefile	Tue Dec 10 10:31:51 2013	(r336056)
+++ head/ftp/lftp/Makefile	Tue Dec 10 11:52:44 2013	(r336057)
@@ -2,11 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	lftp
-PORTVERSION=	4.4.9
-PORTREVISION=	1
+PORTVERSION=	4.4.13
 CATEGORIES=	ftp ipv6
-MASTER_SITES=	http://ftp.yars.free.net/pub/source/lftp/ \
-		http://ftp.yars.free.net/pub/source/lftp/old/ \
+MASTER_SITES=	http://lftp.yar.ru/ftp/ \
+		http://lftp.yar.ru/ftp/old/ \
 		http://lftp.cybermirror.org/ \
 		http://lftp.cybermirror.org/old/ \
 		http://ftp.st.ryukoku.ac.jp/pub/network/ftp/lftp/ \

Modified: head/ftp/lftp/distinfo
==============================================================================
--- head/ftp/lftp/distinfo	Tue Dec 10 10:31:51 2013	(r336056)
+++ head/ftp/lftp/distinfo	Tue Dec 10 11:52:44 2013	(r336057)
@@ -1,2 +1,2 @@
-SHA256 (lftp-4.4.9.tar.gz) = ffd618986e8fd8c5604c5645f912f7eb0ff66cdf76e84986cad47620bb5d7616
-SIZE (lftp-4.4.9.tar.gz) = 2512561
+SHA256 (lftp-4.4.13.tar.gz) = 1f7071faca15c63603479dfa4270cf6b52419b0ee2cf53453a0858974b9b6916
+SIZE (lftp-4.4.13.tar.gz) = 2534292

Modified: head/ftp/lftp/files/patch-build-aux-ltmain.sh
==============================================================================
--- head/ftp/lftp/files/patch-build-aux-ltmain.sh	Tue Dec 10 10:31:51 2013	(r336056)
+++ head/ftp/lftp/files/patch-build-aux-ltmain.sh	Tue Dec 10 11:52:44 2013	(r336057)
@@ -1,15 +1,15 @@
---- build-aux/ltmain.sh.orig	2010-05-20 17:09:31.539282017 +0000
-+++ build-aux/ltmain.sh	2010-05-20 17:10:11.971297050 +0000
-@@ -2076,12 +2076,6 @@
+--- build-aux/ltmain.sh.orig
++++ build-aux/ltmain.sh
+@@ -4230,12 +4230,6 @@
  	  func_execute_cmds "$postinstall_cmds" 'exit $?'
  	fi
  
 -	# Install the pseudo-library for information purposes.
 -	func_basename "$file"
--	name="$func_basename_result"
--	instname="$dir/$name"i
+-	name=$func_basename_result
+-	instname=$dir/${name}i
 -	func_show_eval "$install_prog $instname $destdir/$name" 'exit $?'
 -
  	# Maybe install the static library, too.
- 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
+ 	test -n "$old_library" && func_append staticlibs " $dir/$old_library"
  	;;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ganael LAPLANCHE freebsd_committer 2013-12-10 11:53:14 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!